/**********************************************************************
$Id:$

Copyright 2001-2002, Microbrew Software

Part of Microbrew Message Center
Multi-server Mailer Suite

http://www.microbrew.org/products/mmc/

by Bulent Yilmaz <bu@microbrew.org>
and James Brown <jim@microbrew.org>

Microbrew Message Center is free software; you can redistribute it and/or  
modify it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

Microbrew Message Center is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along with
Microbrew Message Center; if not, write to the Free Software Foundation,
Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

**********************************************************************/

#include "confread.h"

/* Local only function */
char *trim(char *mystr) {

    char *myptr;

    if((myptr = strchr(mystr, '\n')) != NULL) {
        *myptr = 0;
    }
    return mystr;
}

char *readconf(const char *filename, const char *field) {

    FILE *conffile;
    char line[1024];
    char *retval;

    if(( conffile = fopen(filename, "r") ) != NULL) {
        do {
            fgets(&line[0], 1023, conffile);
            if(line[0] != '#') {
                if(strstr(line, field)) {
                    if( (retval = (strdup( trim(strchr(&line[0], '\t') + 1) ))) != NULL) {
                        fclose(conffile);
                        return retval;                
                    }
                }    
            }
        } while(!feof(conffile));
    } else return NULL;
    
    return NULL;
}